Bug 805770 - Flag.update() function can't update attachment flag
Flag.update() function can't update attachment flag
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks: 497464
  Show dependency treegraph
 
Reported: 2012-03-22 00:26 EDT by Tony Fu
Modified: 2014-10-12 18:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.2.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 18:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Fu 2012-03-22 00:26:36 EDT
Description of problem:


The rh bz xmlrpc function Flag.update() can not update attachment flag, although its documentent states "allows you to update flag (including attachment's flag) for one or more bugs."


Steps to Reproduce:
1.call the Flag.update() function like
$call = $bz_rpc->call( 'Flag.update', {
        ids => [$bug_id],
        updates => [{
            name => $new_name,
            status => $new_status,
            attach_id => $attach_id,
            
        } ]
    });

  
Actual results:
The attachment flag is not updated

Expected results:
The attachment flag should be updated to the new status value


Additional info:
Updating bug flags works well.
Comment 1 Tony Fu 2012-03-22 00:56:27 EDT
The function in oncoming bz 4.2 doesn't work either.
Comment 2 Simon Green 2012-05-16 23:45:36 EDT
(In reply to comment #1)
> The function in oncoming bz 4.2 doesn't work either.

This is a Red Hat customisation, so the upgrade isn't going to make it work by itself.

  -- simon
Comment 4 Simon Green 2012-05-17 01:49:29 EDT
Can now be tested at https://release2.bugzilla.devel.redhat.com/

Will be part of the Bugzilla 4.2.1-2 release fortnight today.

  -- simon
Comment 5 Simon Green 2012-05-31 18:12:58 EDT
This change is now live.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.